Subject: bug#24821: Emacs 25.1.1

From: [email-masked]
Date: Sat, 29 Oct 2016 16:14:12 -0400

Felipe Magno de Almeida <[email-masked]> writes:

> The attached content when displayed in compilation-mode causes emacs
> to crash in my machine.
>
> I use a arch linux distribution.
>
> It even crashes if I do M-x compilation-mode on the file itself,
> instead of running it through M-x compile. And it crashes every single
> time, so it is easily reproduceable.

Even so, it's helpful to post the information produced by M-x
report-emacs-bugs, in particular, if this is the bug I think it is,
the toolkit you configure with can affect the reproducibility.

Does it help to apply the following patches?

http://git.savannah.gnu.org/cgit/emacs.git/patch/?id=9afea93ed536fb9110ac62b413604cf4c4302199
http://git.savannah.gnu.org/cgit/emacs.git/patch/?id=71ca4f6a43bad06192cbc4bb8c7a2d69c179b7b0
http://git.savannah.gnu.org/cgit/emacs.git/patch/?id=1047496722a58ef5b736dae64d32adeb58c5055c
http://git.savannah.gnu.org/cgit/emacs.git/patch/?id=96ac0c3ebce825e60595794f99e703ec8302e240
http://git.savannah.gnu.org/cgit/emacs.git/patch/?id=43986d16fb6ad78a627250e14570ea70bdb1f23a

Alternatively, try configuring with REL_ALLOC=no.

See also
https://lists.gnu.org/archive/html/emacs-devel/2016-10/msg00917.html
...
https://lists.gnu.org/archive/html/emacs-devel/2016-10/msg00971.html
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24358